#ifndef __SYSTEM
#define __SYSTEM

extern int gSystemSuspended;
extern float giTunesLastStatusUpdate;
extern int giTunesPlaying;
extern char giTunesSong[1024],giTunesArtist[1024];

enum{
	kITunesPaused=0,
	kITunesPlaying,
	kITunesStopped,
};

void SystemInit();
void SystemExit();
void SystemPoll(int inGame);
void SystemYieldTime(float till);
void SystemNotify();
int AutoUpdateRedline(char *updateURL,char* failStr);

#endif